{...}: {
  imports = [
    ../../modules
  ];

  config.nix-hyprland = {
    monitors = {
      displays = [
        {
          output = "DP-2";
          x = 0;
          y = 0;
          wallpaper = ../../misc/landscape.png;
          refreshRate = "165";
          resolution = "2560x1440";
        }
        {
          output = "DP-3";
          x = -1440;
          y = 0;
          transform = 1;
          wallpaper = ../../misc/portrait.png;
          bar = "top";
          refreshRate = "165";
          resolution = "2560x1440";
        }
      ];
      bindWorkspaces = "interlaced";
    };
  };

  config.horseman = {
    catppuccin = {
      flavor = "mocha";
      accent = "blue";
    };

    users.default.enable = true;

    base = {
      nix.enable = true;
      locale.enable = true;
      secrets.enable = true;
    };

    boot = {
      loader.systemd.enable = true;
      greeter.greetd.enable = true;
      greeter.greetd.session = "Hyprland";
      greeter.greetd.autoLogin = true;
      refind.enable = true;
    };

    wm.hyprland = {
      enable = true;
    };

    hardware = {
      gpu.nvidia.enable = true;
      audio.enable = true;
      wifi.enable = true;
      keyd.enable = true;
    };

    network = {
      ssh.enable = true;
      syncthing.enable = true;
      tailscale.enable = true;
      printing.enable = true;
    };

    apps = {
      dev.enable = true;
      visual.enable = true;
      gaming.enable = true;
      terminal = {
        enable = true;
        zsh.enable = true;
      };
    };

    timers = {
      wol.enable = true;
    };
  };
}
